//+------------------------------------------------------------------+
//|                                               Equity_Balance.mq4 |
//|                                                           GumRai |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "GumRai"
#property link      "http://www.metaquotes.net"

//--- input parameters
extern int       PercentBelowBal= 50;
extern int       PercentAboveBal =50;

bool CloseAll=false;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
  
  
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   if(CloseAll==false)
   {
   double bal=AccountBalance( ) ;
   double eq=AccountEquity( ) ;
   
   
   
   if(PercentBelowBal> 0)
     {
     double CricalEquity= bal-(bal*PercentBelowBal/100);
       if(eq<CricalEquity)
         CloseAll=true;
     }
     
   if(PercentAboveBal>0)
     {
     double ProfEquity=bal+(bal*PercentAboveBal/100);
       if(eq>ProfEquity)
         CloseAll=true;
     }
     
   } 
    if(CloseAll==true) CloseAllOrders ();
     
   

//----
   return(0);
  }
//+------------------------------------------------------------------+

void CloseAllOrders ()
   {
   for(int cnt  = OrdersTotal()-1; cnt >=0 ; cnt--)
   {
   OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
   //if(OrderMagicNumber()==MagicNumber)
   {
   RefreshRates();
 if(OrderType()== OP_BUY)
   OrderClose(OrderTicket(),OrderLots( ) ,MarketInfo(OrderSymbol( ),MODE_BID) ,50,CLR_NONE);
 if(OrderType()== OP_SELL)
    OrderClose(OrderTicket(),OrderLots( ) ,MarketInfo(OrderSymbol( ),MODE_ASK) ,50,CLR_NONE);
 
   int Err=GetLastError();
   if(Err!= 0)
   Print ("Error Closing Trade " , Err);
   }
   }
   }